Bug 217728 - kernel crash during rsync
kernel crash during rsync
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-29 12:08 EST by Rudi Chiarito
Modified: 2008-02-07 23:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Chiarito 2006-11-29 12:08:33 EST
Description of problem:
The system (a dual Opteron 246 with 4GB of RAM) was doing a nightly rsync when a
crash occurred in events/1. I can provide more details if needed. Before
upgrading to FC6 yesterday, the system had already crashed once before, when
upgrading to kernel-2.6.18-1.2239.fc5. Reverting to kernel-2.6.17-1.2157_FC5
solved the problem. I am not sure if the two were related.

I can provide more details and perform tests if requested.

Version-Release number of selected component (if applicable):
2.6.18-1.2849.fc6

Additional info:
Nov 28 22:56:44 rome kernel: Unable to handle kernel paging request at
0000000000200200 RIP: 
Nov 28 22:56:44 rome kernel:  [<ffffffff8033f1b6>] list_del+0x8/0x71
Nov 28 22:56:44 rome kernel: PGD 0 
Nov 28 22:56:44 rome kernel: Oops: 0000 [1] SMP 
Nov 28 22:56:44 rome kernel: last sysfs file: /block/ram0/dev
Nov 28 22:56:44 rome kernel: CPU 1 
Nov 28 22:56:44 rome kernel: Modules linked in: nfsd exportfs lockd nfs_acl
autofs4 w83627hf eeprom adm1026 hwmon_vid hwmon i2c_isa hidp l2cap bluetooth
sunrpc ipv6 iptable_na
t ip_nat ip_conntrack nfnetlink iptable_filter ip_tables x_tables jfs video sbs
i2c_ec button battery asus_acpi ac parport_pc lp parport sd_mod sg qla2xxx
i2c_amd756 shpchp k8
_edac i2c_core scsi_transport_fc amd_rng scsi_mod e1000 edac_mc serio_raw pcspkr
dm_snapshot dm_zero dm_mirror dm_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Nov 28 22:56:44 rome kernel: Pid: 9, comm: events/1 Not tainted 2.6.18-1.2849.fc6 #1
Nov 28 22:56:44 rome kernel: RIP: 0010:[<ffffffff8033f1b6>] 
[<ffffffff8033f1b6>] list_del+0x8/0x71
Nov 28 22:56:44 rome kernel: RSP: 0018:ffff810081fc3dd0  EFLAGS: 00010203
Nov 28 22:56:44 rome kernel: RAX: 0000000000200200 RBX: ffff8100f6877950 RCX:
00000000ffffffff
Nov 28 22:56:44 rome kernel: RDX: 00000000ffffffff RSI: ffffffffffffffff RDI:
ffff8100f6877950
Nov 28 22:56:44 rome kernel: RBP: ffff8100f68778c8 R08: 00000000ffffffff R09:
ffff810081f54e80
Nov 28 22:56:44 rome kernel: R10: 00002aaaae93cdc0 R11: 00002aaaae93cdc0 R12:
ffff810081f54e80
Nov 28 22:56:44 rome kernel: R13: 0000000000000282 R14: 0000000000000000 R15:
ffffffff80312cf4
Nov 28 22:56:44 rome kernel: FS:  00002aaaae93cdc0(0000)
GS:ffff8100f6f16540(0000) knlGS:00000000f7e666c0
Nov 28 22:56:44 rome kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Nov 28 22:56:44 rome kernel: CR2: 0000000000200200 CR3: 000000009161a000 CR4:
00000000000006e0
Nov 28 22:56:44 rome kernel: Process events/1 (pid: 9, threadinfo
ffff810081fc2000, task ffff810037fef7d0)
Nov 28 22:56:44 rome kernel: Stack:  ffff8100f68778c0 ffffffff80313235
ffff8100f68778c0 ffff8100f68778c8
Nov 28 22:56:44 rome kernel:  ffff810081f54e80 ffffffff80312dcf 0000000000000282
ffffffff8056c320
Nov 28 22:56:44 rome kernel:  ffffffff8056c328 ffffffff8024be61 ffffffff80248758
ffff810081f54e80
Nov 28 22:56:44 rome kernel: Call Trace:
Nov 28 22:56:44 rome kernel:  [<ffffffff80313235>] keyring_destroy+0x3c/0x8a
Nov 28 22:56:44 rome kernel:  [<ffffffff80312dcf>] key_cleanup+0xdb/0xfb
Nov 28 22:56:44 rome kernel:  [<ffffffff8024be61>] run_workqueue+0x9a/0xed
Nov 28 22:56:44 rome kernel:  [<ffffffff80248848>] worker_thread+0xf0/0x122
Nov 28 22:56:44 rome kernel:  [<ffffffff80232872>] kthread+0xf6/0x12a
Nov 28 22:56:44 rome kernel:  [<ffffffff8025cda5>] child_rip+0xa/0x11
Nov 28 22:56:44 rome kernel: DWARF2 unwinder stuck at child_rip+0xa/0x11
Nov 28 22:56:44 rome kernel: Leftover inexact backtrace:
Nov 28 22:56:44 rome kernel:  [<ffffffff8023277c>] kthread+0x0/0x12a
Nov 28 22:56:44 rome kernel:  [<ffffffff8025cd9b>] child_rip+0x0/0x11
Nov 28 22:56:44 rome kernel: 
Nov 28 22:56:44 rome kernel: 
Nov 28 22:56:44 rome kernel: Code: 48 8b 10 48 39 fa 74 1b 48 89 fe 31 c0 48 c7
c7 c1 f9 48 80 
Nov 28 22:56:44 rome kernel: RIP  [<ffffffff8033f1b6>] list_del+0x8/0x71
Nov 28 22:56:44 rome kernel:  RSP <ffff810081fc3dd0>
Nov 28 22:56:44 rome kernel: CR2: 0000000000200200
Nov 28 22:56:44 rome kernel:  <0>BUG: rwlock cpu recursion on CPU#1, smbd/11063,
ffffffff8056c3e0 (Not tainted)
Nov 28 22:56:44 rome kernel: 
Nov 28 22:56:44 rome kernel: Call Trace:
Nov 28 22:56:44 rome kernel:  [<ffffffff802691bd>] show_trace+0x34/0x47
Nov 28 22:56:44 rome kernel:  [<ffffffff802691e2>] dump_stack+0x12/0x17
Nov 28 22:56:44 rome kernel:  [<ffffffff8022e902>] _raw_write_lock+0x58/0x83
Nov 28 22:56:44 rome kernel:  [<ffffffff803139be>] keyring_publish_name+0x3b/0x8e
Nov 28 22:56:44 rome kernel:  [<ffffffff80313a24>] keyring_instantiate+0x13/0x17
Nov 28 22:56:44 rome kernel:  [<ffffffff8031251d>]
__key_instantiate_and_link+0x49/0xce
Nov 28 22:56:44 rome kernel:  [<ffffffff80313a6e>] keyring_alloc+0x46/0x5e
Nov 28 22:56:44 rome kernel:  [<ffffffff8031516d>] alloc_uid_keyring+0x3d/0xa6
Nov 28 22:56:44 rome kernel:  [<ffffffff80293bdf>] alloc_uid+0xa9/0x16f
Nov 28 22:56:44 rome kernel:  [<ffffffff80296556>] set_user+0xf/0x97
Nov 28 22:56:44 rome kernel:  [<ffffffff80297f0e>] sys_setresuid+0x15b/0x241
Nov 28 22:56:44 rome kernel:  [<ffffffff8025c081>] tracesys+0xd1/0xdc
Nov 28 22:56:44 rome kernel: DWARF2 unwinder stuck at tracesys+0xd1/0xdc
Nov 28 22:56:44 rome kernel: Leftover inexact backtrace:
Nov 28 22:56:44 rome kernel: 
Nov 28 22:56:54 rome kernel: BUG: soft lockup detected on CPU#1!
Nov 28 22:56:54 rome kernel: 
Nov 28 22:56:54 rome kernel: Call Trace:
Nov 28 22:56:54 rome kernel:  [<ffffffff802691bd>] show_trace+0x34/0x47
Nov 28 22:56:54 rome kernel:  [<ffffffff802691e2>] dump_stack+0x12/0x17
Nov 28 22:56:54 rome kernel:  [<ffffffff802b4995>] softlockup_tick+0xdb/0xf6
Nov 28 22:56:54 rome kernel:  [<ffffffff8029388a>] update_process_times+0x42/0x68
Nov 28 22:56:54 rome kernel:  [<ffffffff80273d82>]
smp_local_timer_interrupt+0x23/0x47
Nov 28 22:56:54 rome kernel:  [<ffffffff8027443e>]
smp_apic_timer_interrupt+0x41/0x47
Nov 28 22:56:54 rome kernel:  [<ffffffff8025ca82>] apic_timer_interrupt+0x66/0x6c
Nov 28 22:56:54 rome kernel: DWARF2 unwinder stuck at apic_timer_interrupt+0x66/0x6c
Nov 28 22:56:54 rome kernel: Leftover inexact backtrace:
Nov 28 22:56:54 rome kernel:  <IRQ>  <EOI>  [<ffffffff80353af1>]
vgacon_cursor+0x0/0x1a5
Nov 28 22:56:54 rome kernel:  [<ffffffff8025fc0f>] __write_lock_failed+0x7/0x20
Nov 28 22:56:54 rome kernel:  [<ffffffff8022e913>] _raw_write_lock+0x69/0x83
Nov 28 22:56:54 rome kernel:  [<ffffffff803139be>] keyring_publish_name+0x3b/0x8e
Nov 28 22:56:54 rome kernel:  [<ffffffff80313a24>] keyring_instantiate+0x13/0x17
Nov 28 22:56:54 rome kernel:  [<ffffffff8031251d>]
__key_instantiate_and_link+0x49/0xce
Nov 28 22:56:54 rome kernel:  [<ffffffff80313a6e>] keyring_alloc+0x46/0x5e
Nov 28 22:56:54 rome kernel:  [<ffffffff8031516d>] alloc_uid_keyring+0x3d/0xa6
Nov 28 22:56:54 rome kernel:  [<ffffffff80293bdf>] alloc_uid+0xa9/0x16f
Nov 28 22:56:54 rome kernel:  [<ffffffff80296556>] set_user+0xf/0x97
Nov 28 22:56:54 rome kernel:  [<ffffffff80297f0e>] sys_setresuid+0x15b/0x241
Nov 28 22:56:54 rome kernel:  [<ffffffff8025c081>] tracesys+0xd1/0xdc
Comment 1 Rudi Chiarito 2006-12-20 12:27:00 EST
Three weeks later, another crash, with almost identical messages. I had to check
again, because I thought I was seeing double, but the date is indeed Dec 19, not
Nov 28:

Dec 19 09:28:43 rome kernel: Unable to handle kernel paging request at 
0000000000200200 RIP:
Dec 19 09:28:43 rome kernel:  [<ffffffff8033f1b6>] list_del+0x8/0x71
Dec 19 09:28:43 rome kernel: PGD 0
Dec 19 09:28:43 rome kernel: Oops: 0000 [1] SMP
Dec 19 09:28:43 rome kernel: last sysfs file: 
/devices/pci0000:00/0000:00:06.0/class
Dec 19 09:28:43 rome kernel: CPU 0
Dec 19 09:28:43 rome kernel: Modules linked in: nfsd exportfs lockd 
nfs_acl autofs4 w83627hf eeprom adm1026 hwmon_vid hwmon i2c_isa hidp 
l2cap bluetooth sunrpc ipv6 iptable_nat ip_nat ip_conntrack nfne
tlink iptable_filter ip_tables x_tables vfat fat usb_storage jfs sd_mod 
sg video sbs i2c_ec button battery asus_acpi ac parport_pc lp parport 
qla2xxx shpchp i2c_amd756 k8_edac i2c_core e1000 edac_mc am
d_rng scsi_transport_fc scsi_mod serio_raw pcspkr dm_snapshot dm_zero 
dm_mirror dm_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Dec 19 09:28:43 rome kernel: Pid: 8, comm: events/0 Not tainted 
2.6.18-1.2849.fc6 #1
Dec 19 09:28:43 rome kernel: RIP: 0010:[<ffffffff8033f1b6>] 
[<ffffffff8033f1b6>] list_del+0x8/0x71
Dec 19 09:28:43 rome kernel: RSP: 0018:ffff810081fc1dd0  EFLAGS: 00010203
Dec 19 09:28:43 rome kernel: RAX: 0000000000200200 RBX: ffff810032045890 
RCX: 0000000000000000
Dec 19 09:28:43 rome kernel: RDX: 00000000ffffffff RSI: ffff810001000008 
RDI: ffff810032045890
Dec 19 09:28:43 rome kernel: RBP: ffff810032045808 R08: 00000000ffffffff 
R09: 0000000000000246
Dec 19 09:28:43 rome kernel: R10: 00002aaaaeb40e20 R11: 00002aaaaeb40e20 
R12: ffff810037dac2c0
Dec 19 09:28:43 rome kernel: R13: 0000000000000282 R14: 0000000000000000 
R15: ffffffff80312cf4
Dec 19 09:28:43 rome kernel: FS:  00002aaaaeb40e20(0000) 
GS:ffffffff8060a000(0000) knlGS:00000000f7f478d0
Dec 19 09:28:43 rome kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 
000000008005003b
Dec 19 09:28:43 rome kernel: CR2: 0000000000200200 CR3: 000000006b15b000 
CR4: 00000000000006e0
Dec 19 09:28:43 rome kernel: Process events/0 (pid: 8, threadinfo 
ffff810081fc0000, task ffff810003645080)
Dec 19 09:28:43 rome kernel: Stack:  ffff810032045800 ffffffff80313235 
ffff810032045800 ffff810032045808
Dec 19 09:28:43 rome kernel:  ffff810037dac2c0 ffffffff80312dcf 
0000000000000282 ffffffff8056c320
Dec 19 09:28:43 rome kernel:  ffffffff8056c328 ffffffff8024be61 
ffffffff80248758 ffff810037dac2c0
Dec 19 09:28:43 rome kernel: Call Trace:
Dec 19 09:28:43 rome kernel:  [<ffffffff80313235>] keyring_destroy+0x3c/0x8a
Dec 19 09:28:43 rome kernel:  [<ffffffff80312dcf>] key_cleanup+0xdb/0xfb
Dec 19 09:28:43 rome kernel:  [<ffffffff8024be61>] run_workqueue+0x9a/0xed
Dec 19 09:28:43 rome kernel:  [<ffffffff80248848>] worker_thread+0xf0/0x122
Dec 19 09:28:43 rome kernel:  [<ffffffff80232872>] kthread+0xf6/0x12a
Dec 19 09:28:43 rome kernel:  [<ffffffff8025cda5>] child_rip+0xa/0x11
Dec 19 09:28:43 rome kernel: DWARF2 unwinder stuck at child_rip+0xa/0x11
Dec 19 09:28:43 rome kernel: Leftover inexact backtrace:
Dec 19 09:28:43 rome kernel:  [<ffffffff8023277c>] kthread+0x0/0x12a
Dec 19 09:28:43 rome kernel:  [<ffffffff8025cd9b>] child_rip+0x0/0x11
Dec 19 09:28:43 rome kernel:
Dec 19 09:28:43 rome kernel:
Dec 19 09:28:43 rome kernel: Code: 48 8b 10 48 39 fa 74 1b 48 89 fe 31 
c0 48 c7 c7 c1 f9 48 80
Dec 19 09:28:43 rome kernel: RIP  [<ffffffff8033f1b6>] list_del+0x8/0x71
Dec 19 09:28:43 rome kernel:  RSP <ffff810081fc1dd0>
Dec 19 09:28:43 rome kernel: CR2: 0000000000200200
Dec 19 09:28:43 rome kernel:  <0>BUG: rwlock cpu recursion on CPU#0, 
smbd/14659, ffffffff8056c3e0 (Not tainted)
Dec 19 09:28:43 rome kernel:
Dec 19 09:28:43 rome kernel: Call Trace:
Dec 19 09:28:43 rome kernel:  [<ffffffff802691bd>] show_trace+0x34/0x47
Dec 19 09:28:43 rome kernel:  [<ffffffff802691e2>] dump_stack+0x12/0x17
Dec 19 09:28:43 rome kernel:  [<ffffffff8022e902>] _raw_write_lock+0x58/0x83
Dec 19 09:28:43 rome kernel:  [<ffffffff803139be>] 
keyring_publish_name+0x3b/0x8e
Dec 19 09:28:43 rome kernel:  [<ffffffff80313a24>] 
keyring_instantiate+0x13/0x17
Dec 19 09:28:43 rome kernel:  [<ffffffff8031251d>] 
__key_instantiate_and_link+0x49/0xce
Dec 19 09:28:43 rome kernel:  [<ffffffff80313a6e>] keyring_alloc+0x46/0x5e
Dec 19 09:28:43 rome kernel:  [<ffffffff8031516d>] 
alloc_uid_keyring+0x3d/0xa6
Dec 19 09:28:43 rome kernel:  [<ffffffff80293bdf>] alloc_uid+0xa9/0x16f
Dec 19 09:28:43 rome kernel:  [<ffffffff80296556>] set_user+0xf/0x97
Dec 19 09:28:43 rome kernel:  [<ffffffff80297f0e>] sys_setresuid+0x15b/0x241
Dec 19 09:28:43 rome kernel:  [<ffffffff8025c081>] tracesys+0xd1/0xdc
Dec 19 09:28:43 rome kernel: DWARF2 unwinder stuck at tracesys+0xd1/0xdc
Dec 19 09:28:43 rome kernel: Leftover inexact backtrace:
Dec 19 09:28:43 rome kernel:
Dec 19 09:28:53 rome kernel: BUG: soft lockup detected on CPU#0!
Dec 19 09:28:53 rome kernel:
Dec 19 09:28:53 rome kernel: Call Trace:
Dec 19 09:28:53 rome kernel:  [<ffffffff802691bd>] show_trace+0x34/0x47
Dec 19 09:28:53 rome kernel:  [<ffffffff802691e2>] dump_stack+0x12/0x17
Dec 19 09:28:53 rome kernel:  [<ffffffff802b4995>] softlockup_tick+0xdb/0xf6
Dec 19 09:28:53 rome kernel:  [<ffffffff8029388a>] 
update_process_times+0x42/0x68
Dec 19 09:28:53 rome kernel:  [<ffffffff80273d82>] 
smp_local_timer_interrupt+0x23/0x47
Dec 19 09:28:53 rome kernel:  [<ffffffff8027443e>] 
smp_apic_timer_interrupt+0x41/0x47
Dec 19 09:28:53 rome kernel:  [<ffffffff8025ca82>] 
apic_timer_interrupt+0x66/0x6c
Dec 19 09:28:53 rome kernel: DWARF2 unwinder stuck at 
apic_timer_interrupt+0x66/0x6c
Dec 19 09:28:53 rome kernel: Leftover inexact backtrace:
Dec 19 09:28:53 rome kernel:  <IRQ>  <EOI>  [<ffffffff80353af1>] 
vgacon_cursor+0x0/0x1a5
Dec 19 09:28:53 rome kernel:  [<ffffffff8025fc17>] 
__write_lock_failed+0xf/0x20
Dec 19 09:28:53 rome kernel:  [<ffffffff8022e913>] _raw_write_lock+0x69/0x83
Dec 19 09:28:53 rome kernel:  [<ffffffff803139be>] 
keyring_publish_name+0x3b/0x8e
Dec 19 09:28:53 rome kernel:  [<ffffffff80313a24>] 
keyring_instantiate+0x13/0x17
Dec 19 09:28:53 rome kernel:  [<ffffffff8031251d>] 
__key_instantiate_and_link+0x49/0xce
Dec 19 09:28:53 rome kernel:  [<ffffffff80313a6e>] keyring_alloc+0x46/0x5e
Dec 19 09:28:53 rome kernel:  [<ffffffff8031516d>] 
alloc_uid_keyring+0x3d/0xa6
Dec 19 09:28:53 rome kernel:  [<ffffffff80293bdf>] alloc_uid+0xa9/0x16f
Dec 19 09:28:53 rome kernel:  [<ffffffff80296556>] set_user+0xf/0x97
Dec 19 09:28:53 rome kernel:  [<ffffffff80297f0e>] sys_setresuid+0x15b/0x241
Dec 19 09:28:53 rome kernel:  [<ffffffff8025c081>] tracesys+0xd1/0xdc
Dec 19 09:28:53 rome kernel:

This time no rsync job was running.
Comment 2 Michael Young 2007-01-29 09:11:44 EST
We are seeing a very similar crash, on a machine with high network I/O network
mounted files, but no rsync processes, and kernel-2.6.18-1.2257.fc5 . Our crash is
Jan 29 12:06:42 pluto5 kernel: Unable to handle kernel paging request at
0000000000200200 RIP:
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff8033e17e>] list_del+0x8/0x71
Jan 29 12:06:42 pluto5 kernel: PGD 0
Jan 29 12:06:42 pluto5 kernel: Oops: 0000 [1] SMP
Jan 29 12:06:42 pluto5 kernel: last sysfs file: /block/ram0/removable
Jan 29 12:06:42 pluto5 kernel: CPU 5
Jan 29 12:06:42 pluto5 kernel: Modules linked in: loop ipv6 autofs4 hidp nfs
lockd fscache nfs_acl rfcomm l2cap bluetooth sunrpc dm_mirror dm_mod video sbs
i2c_ec button battery asus_acpi ac lp parport_pc parport e1000 ide_cd ehci_hcd
k8_edac i2c_nforce2 ohci_hcd shpchp edac_mc floppy cdrom serio_raw sg i2c_core
pcspkr raid1 ext3 jbd sata_nv libata sd_mod scsi_mod
Jan 29 12:06:42 pluto5 kernel: Pid: 31, comm: events/5 Not tainted
2.6.18-1.2239.fc5 #1
Jan 29 12:06:42 pluto5 kernel: RIP: 0010:[<ffffffff8033e17e>] 
[<ffffffff8033e17e>] list_del+0x8/0x71
Jan 29 12:06:42 pluto5 kernel: RSP: 0018:ffff810037f41dc0  EFLAGS: 00010203
Jan 29 12:06:42 pluto5 kernel: RAX: 0000000000200200 RBX: ffff81018d228b90 RCX:
00000000ffffffff
Jan 29 12:06:42 pluto5 kernel: RDX: 00000000ffffffff RSI: ffffffffffffffff RDI:
ffff81018d228b90
Jan 29 12:06:42 pluto5 kernel: RBP: ffff81018d228b08 R08: ffff81018d228380 R09:
ffff8101022a4380
Jan 29 12:06:42 pluto5 kernel: R10: ffff81018d228380 R11: ffff81018d228b00 R12:
ffff8101022a4380
Jan 29 12:06:42 pluto5 kernel: R13: 0000000000000282 R14: 0000000000000000 R15:
ffffffff803129c4
Jan 29 12:06:42 pluto5 kernel: FS:  00002aaaaaabdd50(0000)
GS:ffff8101021de1c0(0000) knlGS:00000000f7feb6c0
Jan 29 12:06:42 pluto5 kernel: CS:  0010 DS: 0018 ES: 0018 CR0:
000000008005003bJan 29 12:06:42 pluto5 kernel: CR2: 0000000000200200 CR3:
0000000000201000 CR4:
00000000000006e0
Jan 29 12:06:42 pluto5 kernel: Process events/5 (pid: 31, threadinfo
ffff810037f40000, task ffff8101822f87d0)
Jan 29 12:06:42 pluto5 kernel: Stack:  ffff81018d228b00 ffffffff80312f22
ffff81018d228b00 ffff81018d228b00
Jan 29 12:06:42 pluto5 kernel:  ffff81018d228b08 ffff8101022a4380
0000000000000282 ffffffff80312aa5
Jan 29 12:06:42 pluto5 kernel:  0000000000000282 ffffffff80566320
ffffffff80566328 ffffffff8024bf8d
Jan 29 12:06:42 pluto5 kernel: Call Trace:
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff80312f22>] keyring_destroy+0x42/0x9f
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff80312aa5>] key_cleanup+0xe1/0x101
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff8024bf8d>] run_workqueue+0x9f/0xf3
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff8024895d>] worker_thread+0xf0/0x122
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff80232949>] kthread+0xf6/0x12a
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff8025cea5>] child_rip+0xa/0x11
Jan 29 12:06:42 pluto5 kernel: DWARF2 unwinder stuck at child_rip+0xa/0x11
Jan 29 12:06:42 pluto5 kernel: Leftover inexact backtrace:
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff80232853>] kthread+0x0/0x12a
Jan 29 12:06:42 pluto5 kernel:  [<ffffffff8025ce9b>] child_rip+0x0/0x11
Jan 29 12:06:42 pluto5 kernel:
Jan 29 12:06:42 pluto5 kernel:
Jan 29 12:06:42 pluto5 kernel: Code: 48 8b 10 48 39 fa 74 1b 48 89 fe 31 c0 48
c7 c7 e1 a4 48 80
Jan 29 12:06:42 pluto5 kernel: RIP  [<ffffffff8033e17e>] list_del+0x8/0x71
Jan 29 12:06:42 pluto5 kernel:  RSP <ffff810037f41dc0>
Jan 29 12:06:42 pluto5 kernel: CR2: 0000000000200200
Jan 29 12:06:52 pluto5 kernel:  <3>BUG: soft lockup detected on CPU#3!
Jan 29 12:06:52 pluto5 kernel:
Jan 29 12:06:52 pluto5 kernel: Call Trace:
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff802691d9>] show_trace+0x34/0x47
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff802691fe>] dump_stack+0x12/0x17
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff802b47d3>] softlockup_tick+0xdb/0xf6
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff80293707>] update_process_times+0x42/0x68
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff80273dc2>]
smp_local_timer_interrupt+0x23/0x47
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff80274483>]
smp_apic_timer_interrupt+0x41/0x47
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff8025cb82>] apic_timer_interrupt+0x66/0x6c
Jan 29 12:06:52 pluto5 kernel: DWARF2 unwinder stuck at
apic_timer_interrupt+0x66/0x6c
Jan 29 12:06:52 pluto5 kernel: Leftover inexact backtrace:
Jan 29 12:06:52 pluto5 kernel:  <IRQ>  <EOI>  [<ffffffff8025fd17>]
__write_lock_failed+0xf/0x20
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff8022e9ce>] _raw_write_lock+0x69/0x83
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff803136e8>] keyring_publish_name+0x3b/0x8e
Jan 29 12:06:52 pluto5 kernel:  [<ffffffff8031374e>] keyring_instantiate+0x13/0x17
Comment 3 Jon Stanley 2008-01-07 20:47:45 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-02-07 23:25:18 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.